<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class User extends CI_Controller {

	public function __construct(){

		parent::__construct();

		// load base_url
		$this->load->helper('url');

		// Load Model
		$this->load->model('Main_model');
	}

	public function index(){

		$this->load->view('user_view');
		
	}

	// Check username availability
	public function checkUsername(){
		
		$data = json_decode(file_get_contents("php://input"));
		
	   	// Username
		$username = $data->username;

		// Check
		$response = $this->Main_model->checkUsername($username);
		
		echo $response;
	}

	// Insert user
	public function saveUserDetails(){
		$data = json_decode(file_get_contents("php://input"));

		$response = $this->Main_model->saveUserDetails($data);
		
		echo $response;
	}
}
